import React, {Component} from 'react';
import userDefaults from 'react-native-user-defaults'

import {

  AppRegistry,

  StyleSheet,

  Text,

  View,

  Image,

  TextInput,

  Button,

  Alert,

  TouchableHighlight,

} from 'react-native';

import PayPal from 'react-native-paypal-wrapper';

 

export default class PaypalComponent extends Component {

  constructor(props) {
    super(props);
    this.state = {
        amount: ''
    }
  }

  componentWillMount() {  
    this.setState({ amount: userDefaults.get("amount") });
    console.log('Amount:' + this.state.amount);
  }

  onPressButton() {

    //Alert.alert('Pay me');

    // 3 env available: NO_NETWORK, SANDBOX, PRODUCTION

    PayPal.initialize(

      PayPal.SANDBOX,

      'AVdqBEfhF48Rfjf47AxSFYQKdMnRaeKbDU2W5umD9W8tJsNMqMEgRuMKlOwrj7XrvPstWpolBC4EbVGw',

    );

    PayPal.pay({

      price: this.state.amount,

      currency: 'AUD', //'AUD',

      description: 'E-Shop',

    })

      .then(confirm => { // handle success
        alert(`Transaction Successful \n ${confirm}`);
        this.props.navigation.pop();
      })

      .catch(error => { // handle fail
        alert(`Transaction Failed \n ${error}`);
        this.props.navigation.pop();
      });

  }

 

    render() {
        
        return (
                
                <View style={styles.container}>
                <View style={styles.buttonContainer}>
                {this.onPressButton()}
                </View>
                </View>
                
                );
        
    }

}

const styles = StyleSheet.create({
  container: {
   flex: 1,
   justifyContent: 'center',
 },
 buttonContainer: {
  margin: 20
},
alternativeLayoutButtonContainer: {
  margin: 20,
  flexDirection: 'row',
  justifyContent: 'space-between'
}
});
