import React from 'react';
import { createStackNavigator } from 'react-navigation-stack';
import { createAppContainer } from 'react-navigation';
import { Image,
         DevLoadingView,
         View,
         TouchableOpacity,
         Text
         } from 'react-native';

import style from './NavigatorStyle';

import HomeComponent from '../Components/HomeComponent/HomeComponent';
import PaypalComponent from '../Components/PaypalComponent/PaypalComponent';
import RazorPayComponent from '../Components/RazorPayComponent/RazorPayComponent';


const Navigator = createStackNavigator(
{
  HomeComponent: {

    screen: HomeComponent,

    //customise navigation bar
    navigationOptions: () =>  ({
        header: null,
        headerMode: 'none',
        headerVisible: false,
    }),
  },

  PaypalComponent: {

    screen: PaypalComponent,

    //customise navigation bar
    navigationOptions: () =>  ({
        header: null,
        headerMode: 'none',
        headerVisible: false,
    }),
  },

  RazorPayComponent: {

    screen: RazorPayComponent,

    //customise navigation bar
    navigationOptions: () =>  ({
      header: null,
      headerMode: 'none',
      headerVisible: false,
  }),
  },
},
{ initialRouteName: 'HomeComponent' }
);

const AppContainer = createAppContainer(Navigator);

export default AppContainer;



